<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejemplo de botones</title>
	<script type="text/javascript">
		
		window.addEventListener("load", function(){
		
		let btn1=document.querySelector("#boton1");
		let btn2=document.querySelector("#boton2");
		let btn3=document.querySelector("#boton3");
		let btn4=document.querySelector("#boton4");
		let resultado=document.querySelector("#display");

		btn1.addEventListener("click", function(){
			resultado.innerHTML+="1";

		});

		btn2.addEventListener("click", function(){
			resultado.innerHTML+="2";

		});

		btn3.addEventListener("click", function(){
			resultado.innerHTML+="3";

		});
		
		btn4.addEventListener("click", function(){
			resultado.innerHTML+="4";

		});

		});



	</script>
</head>
<body>
	<button type="button" id="boton1">1</button>
	<button type="button" id="boton2">2</button>
	<button type="button" id="boton3">3</button>
	<button type="button" id="boton4">4</button>

	<div id="display"></div>
</body>
</html>